View Issue Details

IDProjectCategoryView StatusLast Update
0031163LazarusIDEpublic2017-01-09 04:20
ReporterFTurtleAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformwin32OSWindowsOS VersionXP
Product Version1.7 (SVN)Product Build53770 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0031163: Menu Editor: in Windows XP (with XP style) top items of TMainMenu are invisible (except selected)
DescriptionIn Windows XP:

With Classic style (Win98 style): everything displays OK.

With WindowsXP style: top items of TMainMenu are invisible except selected (if any).

See attached pictures.
TagsNo tags attached.
Fixed in Revisionr53900
LazTarget1.8
WidgetsetWin32/Win64
Attached Files

Activities

FTurtle

2016-12-24 06:27

reporter  

Screen1(Win98_style).png (24,202 bytes)
Screen1(Win98_style).png (24,202 bytes)

FTurtle

2016-12-24 06:28

reporter  

Screen1(WinXP_style).PNG (30,933 bytes)
Screen1(WinXP_style).PNG (30,933 bytes)

FTurtle

2016-12-24 06:28

reporter  

Screen2(Win98_style).PNG (24,882 bytes)
Screen2(Win98_style).PNG (24,882 bytes)

FTurtle

2016-12-24 06:29

reporter  

Screen2(WinXP_style).PNG (31,316 bytes)
Screen2(WinXP_style).PNG (31,316 bytes)

Michl

2017-01-08 21:53

developer  

TestMenuThemeDraw.zip (1,835 bytes)

Michl

2017-01-08 21:58

developer   ~0097368

Fixed in Trunk r53900. Please test and close if ok.

Issue History

Date Modified Username Field Change
2016-12-24 06:27 FTurtle New Issue
2016-12-24 06:27 FTurtle File Added: Screen1(Win98_style).png
2016-12-24 06:28 FTurtle File Added: Screen1(WinXP_style).PNG
2016-12-24 06:28 FTurtle File Added: Screen2(Win98_style).PNG
2016-12-24 06:29 FTurtle File Added: Screen2(WinXP_style).PNG
2017-01-08 17:14 Michl Assigned To => Michl
2017-01-08 17:14 Michl Status new => assigned
2017-01-08 21:53 Michl File Added: TestMenuThemeDraw.zip
2017-01-08 21:58 Michl Fixed in Revision => r53900
2017-01-08 21:58 Michl LazTarget => 1.8
2017-01-08 21:58 Michl Widgetset => Win32/Win64
2017-01-08 21:58 Michl Note Added: 0097368
2017-01-08 21:58 Michl Status assigned => resolved
2017-01-08 21:58 Michl Fixed in Version => 1.7 (SVN)
2017-01-08 21:58 Michl Resolution open => fixed
2017-01-08 21:58 Michl Target Version => 1.8
2017-01-09 04:20 FTurtle Status resolved => closed